Mx4jAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.Mx4jAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class Mx4jAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.module.management.agent.Mx4jAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class Mx4jAgent

extends AbstractAgent

`Mx4jAgent` configures an Mx4J Http Adaptor for Jmx management, statistics and configuration viewing of a Mule instance.

TODO MULE-1353

Field Summary
`static String` | `DEFAULT_HOSTNAME`
`static String` | `DEFAULT_JMX_ADAPTOR_URL`
`protected static String` | `DEFAULT_PATH_IN_JAR`
`static int` | `DEFAULT_PORT`
`static String` | `HTTP_ADAPTER_OBJECT_NAME`

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`Mx4jAgent()`

Method Summary
`protected mx4j.tools.adaptor.http.HttpAdaptor` | `createAdaptor()`
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`String` | `getAuthenticationMethod()`
`String` | `getDescription()` Should be a 1 line description of the agent
`String` | `getHost()`
`String` | `getJmxAdaptorUrl()`
`String` | `getLogin()`
`String` | `getPassword()`
`String` | `getPathInJar()`
`String` | `getPort()`
`Map` | `getSocketFactoryProperties()`
`String` | `getXslFilePath()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isCacheXsl()`
`void` | `registered()`
`void` | `setAuthenticationMethod(String authenticationMethod)`
`void` | `setCacheXsl(boolean cacheXsl)`
`void` | `setHost(String host)`
`void` | `setJmxAdaptorUrl(String jmxAdaptorUrl)`
`void` | `setLogin(String login)`
`void` | `setPassword(String password)`
`void` | `setPathInJar(String pathInJar)`
`void` | `setPort(String port)`
`void` | `setSocketFactoryProperties(Map socketFactoryProperties)`
`void` | `setXslFilePath(String xslFilePath)`
`void` | `start()`
`void` | `stop()`
`void` | `unregistered()`
`protected void` | `unregisterMBeansIfNecessary()` Unregister all Mx4j MBeans if there are any left over the old deployment

Methods inherited from class org.mule.AbstractAgent
`getDependentAgents, getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_ADAPTER_OBJECT_NAME

    public static final String HTTP_ADAPTER_OBJECT_NAME

See Also:
  Constant Field Values

### DEFAULT_PATH_IN_JAR

    protected static final String DEFAULT_PATH_IN_JAR

### DEFAULT_HOSTNAME

    public static final String DEFAULT_HOSTNAME

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_JMX_ADAPTOR_URL

    public static final String DEFAULT_JMX_ADAPTOR_URL

See Also:
  Constant Field Values

Constructor Detail

### Mx4jAgent

    public Mx4jAgent()

Method Detail

### createAdaptor

    protected mx4j.tools.adaptor.http.HttpAdaptor createAdaptor()
                                                         throws Exception

  Throws:
    `Exception`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Specified by:
    `initialise` in class `AbstractAgent`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### start

    public void start()
               throws MuleException

  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Throws:
    `MuleException`

### unregisterMBeansIfNecessary

    protected void unregisterMBeansIfNecessary()
                                        throws MalformedObjectNameException,
                                               InstanceNotFoundException,
                                               MBeanRegistrationException

  Unregister all Mx4j MBeans if there are any left over the old deployment

  Throws:
    `MalformedObjectNameException`
    `InstanceNotFoundException`
    `MBeanRegistrationException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

### registered

    public void registered()

### unregistered

    public void unregistered()

### getDescription

    public String getDescription()

  Description copied from interface: `Agent`
  Should be a 1 line description of the agent

  Specified by:
    `getDescription` in interface `Agent`
  Overrides:
    `getDescription` in class `AbstractAgent`
  Returns:

### getJmxAdaptorUrl

    public String getJmxAdaptorUrl()

  Returns:
    Returns the jmxAdaptorUrl.

### setJmxAdaptorUrl

    public void setJmxAdaptorUrl(String jmxAdaptorUrl)

  Parameters:
    `jmxAdaptorUrl` - The jmxAdaptorUrl to set.

### getSocketFactoryProperties

    public Map getSocketFactoryProperties()

### setSocketFactoryProperties

    public void setSocketFactoryProperties(Map socketFactoryProperties)

### getLogin

    public String getLogin()

### setLogin

    public void setLogin(String login)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getAuthenticationMethod

    public String getAuthenticationMethod()

### setAuthenticationMethod

    public void setAuthenticationMethod(String authenticationMethod)

### getXslFilePath

    public String getXslFilePath()

### setXslFilePath

    public void setXslFilePath(String xslFilePath)

### getPathInJar

    public String getPathInJar()

### setPathInJar

    public void setPathInJar(String pathInJar)

### isCacheXsl

    public boolean isCacheXsl()

### setCacheXsl

    public void setCacheXsl(boolean cacheXsl)

### getHost

    public String getHost()

### setHost

    public void setHost(String host)

### getPort

    public String getPort()

### setPort

    public void setPort(String port)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.